<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
	<head>
		<title>KGBBEngine</title>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<link rel="stylesheet" type="text/css" media="all" href="../css/style.css" th:href="@{/css/style.css}" />
	</head>
	<body>
		<div class="center-content">
			<div style="display: flex;">
				<div class="navigation">
					<a href="/">
						<h1>KGBBEngine</h1>
					</a>
					<h2>Items</h2>
					<section th:insert="@{/navigationFragment} :: navigation" th:with="navigationItems=${itemInfo.items}, info=${itemInfo}"></section>
				</div>
				<div>
					<h1 style="cursor: pointer;" th:text="${itemInfo.label + '&#9999;&#65039;'}" onclick="document.querySelector('.dialog').style.display = 'block';">Label &#9999;&#65039;</h1>
					<p th:text="${itemInfo.formattedResourceLabel}">Class label [Resource]</p>
					<form action="#" th:object="${itemInfo}">
						<ul th:if="${#fields.hasErrors('*')}" class="error-box">
							<li th:each="err : ${#fields.errors('*')}" th:text="${err}">Input is incorrect</li>
						</ul>
					</form>
					<h3>Parts</h3>
					<section th:insert="@{/hasPartStatementFragment} :: has_part_statement" th:with="data=${itemInfo.statements.get('HasPartStatementKGBB')}, context=${itemInfo.context}, endpoint=@{/item/{uri}/{context}(uri = ${itemInfo.context}, context = ${itemInfo.uri})}"></section>
					<h3>Measurements</h3>
					<label for="templateSelector">Display Template:</label>
					<select id="templateSelector" onchange="selectTemplate()">
						<option>Template 1</option>
						<option>Template 2</option>
					</select>
					<section id="template1" th:insert="@{/measurementCompoundFragment} :: measurement_compound" th:with="data=${itemInfo.children.get('WeightMeasurementCompoundKGBB')}, subject=${itemInfo.subject}, context=${itemInfo.context}, endpoint=@{/item/{uri}/{context}(uri = ${itemInfo.context}, context = ${itemInfo.uri})}"></section>
					<section id="template2" th:insert="@{/measurementCompoundFragment2} :: measurement_compound" th:with="data=${itemInfo.children.get('WeightMeasurementCompoundKGBB')}, subject=${itemInfo.subject}, context=${itemInfo.context}, endpoint=@{/item/{uri}/{context}(uri = ${itemInfo.context}, context = ${itemInfo.uri})}"></section>
					<script>
						function selectTemplate() {
							const templateSelector = document.getElementById("templateSelector");
							const template1 = document.getElementById("template1");
							const template2 = document.getElementById("template2");
							if(templateSelector.selectedIndex == 0) {
								template1.style.display = "block";
								template2.style.display = "none";
							} else if(templateSelector.selectedIndex == 1) {
								template1.style.display = "none";
								template2.style.display = "block";
							}
						}
						selectTemplate();
					</script>
				</div>
			</div>
		</div>
		<div class="dialog">
			<div class="popup">
				<h1 th:text="${itemInfo.resourceLabel}">Label</h1>
				<table class="popup-table">
					<tbody>
						<form action="#" th:action="@{/item/{uri}/{context}(uri = ${itemInfo.context}, context = ${itemInfo.uri})}" method="post">
							<tr>
								<td style="text-align: right;">
									Resource URI:
								</td>
								<td colspan="2">
									<input type="text" placeholder="Resource" name="@input:resource:NamedIndividualIdentificationUnitResourceObjectPosition" th:value="${itemInfo.resourceURI}"></input>
									<input type="hidden" placeholder="Resource" name="@input:type:NamedIndividualIdentificationUnitResourceObjectPosition" value="CLASS"></input>
								</td>
							</tr>
							<tr>
								<td style="text-align: right;">
									Label:
								</td>
								<td colspan="2">
									<input type="text" placeholder="Label" name="@input:literal:NamedIndividualIdentificationUnitLiteralObjectPosition" th:value="${itemInfo.label}"></input>
								</td>
							</tr>
							<tr>
								<td colspan="3">
									<button style="width: auto;" class="popup-button" type="submit" name="updateStatement" th:value="${itemInfo.niiu}" th:text="#{update_item}">Update Item</button>
						</form>
									<form  style="display: inline;" action="#" th:action="@{/item/{uri}(uri = ${itemInfo.context})}">
										<button style="width: auto;" class="popup-button" type="submit" name="removeItem" th:value="${itemInfo.uri}" th:text="#{delete_item}">Delete Item</button>
									</form>
									<button class="popup-button" onclick="document.querySelector('.dialog').style.display = 'none';">Cancel</button>
								</td>
							</tr>
					</tbody>
				</table>
			</div>
		</div>
	</body>
</html>